## com.sun.jersey.core.reflection
Class ReflectionHelper.ClassTypePair

    java.lang.Object
      com.sun.jersey.core.reflection.ReflectionHelper.ClassTypePair

Enclosing class:
  ReflectionHelper

    public static class ReflectionHelper.ClassTypePair

extends java.lang.Object

A tuple consisting of a class and type of the class.

Field Summary
`java.lang.Class` | `c` The class.
`java.lang.reflect.Type` | `t` The type of the class.

Constructor Summary
`ReflectionHelper.ClassTypePair(java.lang.Class c)`
`ReflectionHelper.ClassTypePair(java.lang.Class c, java.lang.reflect.Type t)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### c

    public final java.lang.Class c

  The class.

### t

    public final java.lang.reflect.Type t

  The type of the class.

Constructor Detail

### ReflectionHelper.ClassTypePair

    public ReflectionHelper.ClassTypePair(java.lang.Class c)

### ReflectionHelper.ClassTypePair

    public ReflectionHelper.ClassTypePair(java.lang.Class c,
                                          java.lang.reflect.Type t)

Copyright © 2017 Oracle Corporation. All Rights Reserved.